# MusicListener (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick
Interface MusicListener

All Known Implementing Classes:
  MusicListenerTest

    public interface MusicListener

The description of any class needing to recieve notification of changes to music state.

Author:
  kevin

Method Summary
`void` `musicEnded(Music music)` Notification that a piece of music finished playing
`void` `musicSwapped(Music music, Music newMusic)` Notification that a piece of music has been swapped for another.

Method Detail

### musicEnded

    void musicEnded(Music music)

  Notification that a piece of music finished playing

  Parameters:
    `music` - The music that finished playing

### musicSwapped

    void musicSwapped(Music music,
                      Music newMusic)

  Notification that a piece of music has been swapped for another.

  Parameters:
    `music` - The music that has been swapped out
    `newMusic` - The new music we're playing

Copyright © 2006 New Dawn Software. All Rights Reserved.